<?php

/**
* Created by : Julien Dubois.
* Version : 2;
* Update date : 13.05.2022
*/

class SessionManager{

    /**
     * constructeur permettant d'ouvrir la session
     */
    public function __construct(){
        session_start();
    }

    /**
     * Méthode permettant de démarrer la session avec les infos necessaires
     */
    public function openSession($pseudo){
        $_SESSION['pseudo'] = $pseudo;
        $_SESSION['isLogged'] = 'oui';
        echo "<query><info>success</info></query>";
    }

    /**
     * Méthode permettant de vérifier si un utiliateur est bien logué
     */
    public function isLogged(){
        $text = "<session>";
        if ($_SESSION['isLogged'] == 'oui') {
            $text += "<state>Logged</state>";
            $text += "<pseudo>" . $_SESSION['pseudo'] . "</pseudo>";
        } else {
            $text += "<state>Unlogged</state>";
            $text += "<pseudo></pseudo>";
        }
        $text += "</session>";
        return $text;
    }

    /**
     * Méthode permettant de fermer la session
     */
    public function closeSession(){
        $test = session_destroy();
        if ($test){
            $callback = "<info>success</info>";
        }else{
            $callback = "<info>error</info>";
        }
        return $callback;
    }

    /**
     * Méthode permettant de savoir qui est logé
     */
    public function whoIsLogged(){
        return $_SESSION['pseudo'];
    }

}

?>